# NFT一覧取得

## getnftgdnids <a href="#getnftgdnids" id="getnftgdnids"></a>

指定したコントラクトアドレスのNFT一覧を取得します。

## **基本情報** <a href="#basic-info" id="basic-info"></a>

<table><thead><tr><th width="134">プロパティ</th><th width="260">詳細</th></tr></thead><tbody><tr><td>URL</td><td><code>/api/v1/getnftgdnids</code></td></tr><tr><td>Method</td><td>POST</td></tr></tbody></table>

## **リクエストパラメータ** <a href="#request" id="request"></a>

<table><thead><tr><th width="231">パラメータ</th><th width="86">種類</th><th width="78">必須</th><th width="338">詳細</th></tr></thead><tbody><tr><td>contract_address</td><td>str</td><td>yes</td><td>対象コレクションのコントラクトアドレス</td></tr><tr><td>blockchain</td><td>str</td><td>yes</td><td>生成先のブロックチェーン</td></tr></tbody></table>

## **リクエストのサンプル** <a href="#sample-request" id="sample-request"></a>

```json
{
    "contract_address": "0x0000000000000000000000000000000000000000",
    "blockchain": "polygon"
}
```

## **成功した場合のレスポンス例** <a href="#response" id="response"></a>

```json
{
  "requests": {
      "contract_address": "0x0000000000000000000000000000000000000000",
      "blockchain": "polygon"
  },
  "nft_gdn_ids": [
      "5967ee21-067e-4f89-87de-feb84307c6d9",
      "6d52fee5-1082-471a-8aa8-41570cdad7ec",
      "59d77871-2090-49bd-8666-b38b838c5732",
      "b27752b7-9803-4d28-b29f-9532ad0f0dbb",
      "cf7faf94-a5ec-462c-ad06-1bd772fefe21",
  ]
}
```

## **失敗した場合のレスポンス例(ステータスコード400)** <a href="#error" id="error"></a>

```json
{
  "error": {
    "title": "Request Validation Error",
    "message": "request json is invalid"
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nftgarden.app/jp/api/nft-api/v1.2/get-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
